
Name:		srtp
Summary:	Secure Real-time Transport Protocol (SRTP)
Group:		System/Libraries
Version:	1.4.4
%define subrel	1
Release:	%mkrel 3
License:	GPL
URL:		http://srtp.sourceforge.net/
Source0:	http://srtp.sourceforge.net/%{name}-%{version}.tgz
Patch0:		srtp-1.4.4-CVE-2013-2139.patch
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}-static-devel < %{version}-%{release}

%description
SRTP is a security profile for RTP that adds confidentiality, message 
authentication, and replay protection to that protocol. It is specified 
in RFC 3711.


%prep
%setup -qn %{name}
%patch0 -p1 -b .CVE-2013-2139

# lib64 fix
#find -name "Makefile" | xargs perl -pi -e 's|\$\(INSTALL_BASE\)/lib|\$\(INSTALL_BASE\)/%{_lib}|g'

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x \
	--enable-pic \
	--enable-syslog \
	--enable-generic-aesicm

%make
%make libsrtp.a

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{_includedir}/%{name}
%{_libdir}/*.a




%changelog
* Sun Oct 26 2014 luigiwalser <luigiwalser> 1.4.4-3.1.mga3
+ Revision: 793494
- add patch from debian to fix CVE-2013-2139

* Mon Jan 14 2013 umeabot <umeabot> 1.4.4-3.mga3
+ Revision: 382617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 08 2011 ze <ze> 1.4.4-2.mga2
+ Revision: 102053
- imported package srtp

